# $Revision: 1.30 $, $Date: 2010/01/25 20:50:21 $
Summary:	Easy to use front-end for ClamAV
Summary(pl.UTF-8):	Prosty w użyciu interfejs do ClamAVa
Name:		clamtk
Version:	4.23
Release:	2
License:	Artistic
Group:		Applications
Source0:	http://downloads.sourceforge.net/clamtk/%{name}-%{version}.tar.gz
# Source0-md5:	171da131291891218d75adc849c818af
URL:		http://clamtk.sourceforge.net/
BuildRequires:	perl-base
BuildRequires:	sed >= 4.0
Requires:	clamav >= 0.87
Requires:	clamav-database
Requires:	clamav-libs
Requires:	perl-Config-Tiny
Requires:	perl-Date-Calc
Requires:	perl-File-Find-Rule
Requires:	perl-Gtk2
Requires:	perl-Locale-gettext
Requires:	perl-Net-DNS
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ClamTk is a frontend for ClamAV antivirus. It is meant to be
lightweight and easy to use.

%description -l pl.UTF-8
ClamTk jest małą i prostą w użyciu nakładką graficzną na program
antyvirusowy ClamAV.

%prep
%setup -q
sed -i -e 's#Categories=Application;Utility;#Categories=GTK;Utility;#' clamtk.desktop
echo '# vi: encoding=utf-8' >> clamtk.desktop
mv po/el{_GR,}.mo
gzip -d clamtk.1.gz

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_pixmapsdir},%{_mandir}/man1,%{_desktopdir},%{_datadir}/mime/packages,%{perl_vendorlib}/ClamTk}

install -p clamtk $RPM_BUILD_ROOT%{_bindir}
cp -a clamtk.1 $RPM_BUILD_ROOT%{_mandir}/man1
cp -a clamtk.png $RPM_BUILD_ROOT%{_pixmapsdir}
cp -a clamtk.desktop $RPM_BUILD_ROOT%{_desktopdir}
cp -a lib/*.pm $RPM_BUILD_ROOT%{perl_vendorlib}/ClamTk

for n in po/*.mo; do
	l=$(basename $n .mo)
	install -Dp $n $RPM_BUILD_ROOT%{_datadir}/locale/$l/LC_MESSAGES/clamtk.mo
done
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc CHANGES DISCLAIMER README clamtk LICENSE
%attr(755,root,root) %{_bindir}/%{name}
%{_desktopdir}/clamtk.desktop
%{_pixmapsdir}/clamtk.png
%{_mandir}/man1/%{name}.1*
%{perl_vendorlib}/ClamTk

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: clamtk.spec,v $
Revision 1.30  2010/01/25 20:50:21  megabajt
- fixed locale names (el_GR -> el)
- release 2

Revision 1.29  2010/01/22 16:16:01  glen
- preserve timestamps

Revision 1.28  2010/01/22 14:19:30  sparky
- BR: perl-base (for perl_vendorlib macro)

Revision 1.27  2010/01/21 23:26:30  mguevara
- up to 4.23-1, added requires: perl-Net-DNS, perl-Config-Tiny

Revision 1.26  2009/06/22 22:40:34  adamg
- updated to 4.15

Revision 1.25  2009/05/26 06:47:01  adamg
- updated to 4.13

Revision 1.24  2009/04/26 13:21:56  adamg
- updated to 4.12

Revision 1.23  2008-01-06 23:28:54  qboosh
- tab

Revision 1.22  2007-10-04 21:36:14  jasw
- add R:
- rel 2
- STBR pls

Revision 1.21  2007/03/25 11:14:19  rotom
- up to 2.31
- pl lang converted to utf-8
- STBR please

Revision 1.20  2007/03/10 16:34:26  rotom
- cs_CZ moved to cs lang

Revision 1.19  2007/03/10 14:08:52  rotom
- up to 2.30

Revision 1.18  2007/03/08 16:17:49  rotom
- up to 2.29

Revision 1.17  2007/03/04 14:49:00  rotom
- up to 2.28

Revision 1.16  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:48:42  baggins
- converted to UTF-8

Revision 1.14  2007/01/13 00:52:46  rotom
- up to 2.27

Revision 1.13  2006/11/12 18:55:24  rotom
- up to 2.26

Revision 1.12  2006/09/27 16:05:25  rotom
- updated to 2.24

Revision 1.11  2006/08/24 15:10:53  rotom
- lang files added

Revision 1.10  2006/08/15 12:33:29  rotom
- up to 2.23

Revision 1.9  2006/07/04 17:41:08  rotom
- up to 2.21

Revision 1.8  2006/06/17 20:51:30  rotom
- 2.20

Revision 1.7  2006/05/21 07:31:36  qboosh
- unified sf URL

Revision 1.6  2006/05/20 22:58:42  rotom
- up to 2.19

Revision 1.5  2006/05/06 21:27:28  rotom
- up to 2.18

Revision 1.4  2006/04/25 10:17:16  rotom
- up to 2.17

Revision 1.3  2006/04/16 10:59:25  darekr
- BR sed 4.0

Revision 1.2  2006/02/17 19:05:30  qboosh
- pl fixes, removed Appliation category from .desktop, cleanups

Revision 1.1  2006/02/13 12:06:42  rotom
- initial release
